# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           ladspa-amb-plugins
Version:        0.6.1
Release:        alt1_5
Summary:        Ambisonics LADSPA plugins
License:        GPLv2+
Group:          Sound
URL:            http://www.kokkinizita.net/linuxaudio/
Source:         http://www.kokkinizita.net/linuxaudio/downloads/AMB-plugins-%{version}.tar.bz2
BuildRequires:  ladspa_sdk
Requires:       ladspa_sdk
Obsoletes:      amb-plugins <= 0.0.2
Provides:       amb-plugins = %{version}-%{release}
Source44: import.info

%description
A set of first order Ambisonics plugins to use with Ardour. Included
are: mono and stereo input panner, horizontal rotation, and square and
hexagon horizontal decoders. See the README for more.


%prep
%setup -q -n AMB-plugins-%{version}
%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile
# use the system version of ladspa.h
%{__rm} ladspa.h


%build
%{__make} %{?_smp_mflags} CPPFLAGS="-I. -fPIC -D_REENTRANT $RPM_OPT_FLAGS"


%install
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__make} DESTDIR=%{buildroot} install


%files
%doc AUTHORS COPYING README
%{_libdir}/ladspa/*.so


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_5
- initial fc import

